Skip to navigation

Validate import storage

Validate a specific Redis import storage connection.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Request

This endpoint expects an object.
projectintegerRequired
A unique integer value identifying this project.
dbintegerOptional0-32767
Server Database
descriptionstring or nullOptional
Cloud storage description
hoststring or nullOptional

Server Host IP (optional)

idintegerOptional
Storage ID. If set, storage with specified ID will be updated
passwordstring or nullOptional

Server Password (optional)

pathstring or nullOptional

Storage prefix (optional)

portstring or nullOptional

Server Port (optional)

regex_filterstring or nullOptional
Cloud storage regex for filtering objects
synchronizablebooleanOptionalDefaults to true
titlestring or nullOptional<=256 characters
Cloud storage title
use_blob_urlsbooleanOptional
Interpret objects as BLOBs and generate URLs

Response

Validation successful